## org.apache.solr.client.solrj.request
Class CollectionAdminRequest.Create

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.CollectionAdminRequest
              org.apache.solr.client.solrj.request.CollectionAdminRequest.Create

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest

    public static class CollectionAdminRequest.Create

extends CollectionAdminRequest

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest
`CollectionAdminRequest.CollectionShardAdminRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.Reload, CollectionAdminRequest.SplitShard`

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Field Summary
`protected String` `configName`
`protected String` `createNodeSet`
`protected Integer` `maxShardsPerNode`
`protected Integer` `numShards`
`protected Integer` `replicationFactor`
`protected String` `routerField`
`protected String` `routerName`
`protected String` `shards`

Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest
`action, collection`

Constructor Summary
`CollectionAdminRequest.Create()`

Method Summary
`String` `getConfigName()`
`String` `getCreateNodeSet()`
`Integer` `getMaxShardsPerNode()`
`Integer` `getNumShards()`
`SolrParams` `getParams()`
`Integer` `getReplicationFactor()`
`String` `getRouterName()`
`String` `getShards()`
`void` `setConfigName(String config)`
`void` `setCreateNodeSet(String nodeSet)`
`void` `setMaxShardsPerNode(Integer numShards)`
`void` `setNumShards(Integer numShards)`
`void` `setReplicationFactor(Integer repl)`
`void` `setRouterField(String routerField)`
`void` `setRouterName(String routerName)`
`void` `setShards(String shards)`

Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest
`createAlias, createCollection, createCollection, createCollection, createCollection, createShard, createShard, deleteAlias, deleteCollection, deleteShard, getContentStreams, process, reloadCollection, setAction, setCollectionName, splitShard, splitShard`

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getMethod, getPath, getResponseParser, getStreamingResponseCallback, setMethod, setPath, setResponseParser, setStreamingResponseCallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configName

    protected String configName

### createNodeSet

    protected String createNodeSet

### routerName

    protected String routerName

### shards

    protected String shards

### routerField

    protected String routerField

### numShards

    protected Integer numShards

### maxShardsPerNode

    protected Integer maxShardsPerNode

### replicationFactor

    protected Integer replicationFactor

Constructor Detail

### CollectionAdminRequest.Create

    public CollectionAdminRequest.Create()

Method Detail

### setConfigName

    public void setConfigName(String config)

### setCreateNodeSet

    public void setCreateNodeSet(String nodeSet)

### setRouterName

    public void setRouterName(String routerName)

### setShards

    public void setShards(String shards)

### setRouterField

    public void setRouterField(String routerField)

### setNumShards

    public void setNumShards(Integer numShards)

### setMaxShardsPerNode

    public void setMaxShardsPerNode(Integer numShards)

### setReplicationFactor

    public void setReplicationFactor(Integer repl)

### getConfigName

    public String getConfigName()

### getCreateNodeSet

    public String getCreateNodeSet()

### getRouterName

    public String getRouterName()

### getShards

    public String getShards()

### getNumShards

    public Integer getNumShards()

### getMaxShardsPerNode

    public Integer getMaxShardsPerNode()

### getReplicationFactor

    public Integer getReplicationFactor()

### getParams

    public SolrParams getParams()

  Overrides:
    `getParams` in class `CollectionAdminRequest`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.